CachedField (Groovy 5.0.6)
Description: declaration: package: org.codehaus.groovy.reflection, class: CachedField

Package org.codehaus.groovy.reflection

# Class CachedField

java.lang.Object
groovy.lang.MetaProperty
org.codehaus.groovy.reflection.CachedField

All Implemented Interfaces:
  `MetaMember`

public class CachedField extends MetaProperty

- ## Field Summary

  ### Fields inherited from class groovy.lang.MetaProperty

  `name, PROPERTY_SET_PREFIX, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CachedField(Field field)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MethodHandle`
  `asAccessMethod(MethodHandles.Lookup lookup)`
  `Field`
  `getCachedField()`
  `Class`
  `getDeclaringClass()`
  `int`
  `getModifiers()`
  Returns the access modifiers.
  `Object`
  `getProperty(Object object)`
  `void`
  `setProperty(Object object, Object newValue)`
  Sets the property on the given object to the new value.

  ### Methods inherited from class groovy.lang.MetaProperty

  `getGetterName, getName, getSetterName, getType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.MetaMember

  `isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

- ## Constructor Details

  - ### CachedField

    public CachedField(Field field)

- ## Method Details

  - ### getCachedField

    public Field getCachedField()

  - ### getDeclaringClass

    public Class getDeclaringClass()

  - ### getModifiers

    public int getModifiers()
    Returns the access modifiers.
    Specified by:
      `getModifiers` in interface `MetaMember`
    Overrides:
      `getModifiers` in class `MetaProperty`
    Returns:
      `Modifier.PUBLIC`

  - ### getProperty

    public Object getProperty(Object object)
    Specified by:
      `getProperty` in class `MetaProperty`
    Returns:
      the property of the given object

  - ### setProperty

    public void setProperty(Object object, Object newValue)
    Sets the property on the given object to the new value.
    Specified by:
      `setProperty` in class `MetaProperty`
    Parameters:
      `object` - on which to set the property
      `newValue` - the new value of the property

  - ### asAccessMethod

    public MethodHandle asAccessMethod(MethodHandles.Lookup lookup) throws IllegalAccessException
    Throws:
      `IllegalAccessException`